function [outputStruct] = csvread_custom(fileName)
% his function read the datava from a csv file with header line and padd it
% to a structure with the same field anmes as the header line's names

% read the header line:
fileID = fopen(fileName);
    firstLine=textscan(fileID,'%s', 1);
fclose(fileID);

% read the numerical data:
localizationData=dlmread(fileName,',',1,0);

%  get the field anmes from the header line:
fieldNames=strsplit(firstLine{1}{1}, ',');

% create the structure:
outputStruct=struct();
for idxField=1:numel(fieldNames)
    
    outputStruct.(fieldNames{idxField})=localizationData(:, idxField);
    
end




end

