classdef tableReplacement
  
  methods (Static)
    function dataStructure=data(varargin)
      for idxVar=numel(varargin):-1:1
        dataStructure.fittedParams(1, idxVar)=varargin{idxVar};
        
        varName=inputname(idxVar);
        dataStructure.paramNames{idxVar}=varName;
      end
    end
    
    function outputData = concatenate(data1, data2)
      outputData.fittedParams=[data1.fittedParams; data2.fittedParams];
      outputData.paramNames=data1.paramNames;
    end
    
    
    function write(data, dataFileName)
        
        paramNames_string='';
        if numel(data.paramNames)>1
            for idxParam=1:numel(data.paramNames)-1
                paramNames_string=[paramNames_string, data.paramNames{idxParam}, ','];
            end
        end
        paramNames_string=[paramNames_string, data.paramNames{end}];
        
      %csvwrite(dataFileName, data.fittedParams, 0, 1);
      fileID = fopen(dataFileName,'w');
      fprintf(fileID,'%s\n', paramNames_string );
      fclose(fileID);
      dlmwrite (dataFileName, data.fittedParams, 'delimiter', ',', '-append');
      
    end
    
    function out = getVarName(var)
      out = inputname(1);
    end
    
    
  end
  
  
end
